//
//  DockCamPrefs.h
//  DockCam
//
//  Created by Nicholas Riley on Thu Jun 27 2002.
//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
//

#import <AppKit/AppKit.h>

extern NSString * const DCImageLocation;
extern NSString * const DCImageSize;
extern NSString * const DCImageRefreshEnabled;
extern NSString * const DCImageRefreshInterval;
extern NSString * const DCShowImageInBackground;
extern NSString * const DCShowStatus;

extern NSString * const DCPrefChangedNotification;

@interface DockCamPrefs : NSWindowController {
    IBOutlet NSComboBox *imageLocation;
    IBOutlet NSMatrix *retrieveImageAutomatically;
    IBOutlet NSTextField *imageRefreshInterval;
    IBOutlet NSPopUpButton *imageRefreshIntervalUnits;
    IBOutlet NSButton *showImageInBackground;
}

+ (BOOL)boolForPref:(NSString *)pref;
+ (int)intForPref:(NSString *)pref;
+ (NSSize)sizeForPref:(NSString *)pref;
+ (NSString *)stringForPref:(NSString *)pref;

+ (void)setBool:(BOOL)value forPref:(NSString *)pref;
+ (void)setInt:(int)value forPref:(NSString *)pref;
+ (void)setString:(NSString *)value forPref:(NSString *)pref;
+ (void)setSize:(NSSize)value forPref:(NSString *)pref;

- (IBAction)writeToPrefs:(id)sender;
- (IBAction)retrieveImageAutomatically:(id)sender;

@end
